com.google.cloud.dataflow.sdk.runners.inprocess

## Interface InProcessPipelineRunner.PCollectionViewWriter<ElemT,ViewT>

Type Parameters:
  `ElemT` - the type of elements the input `PCollection` contains.
  `ViewT` - the type of the PCollectionView this writer writes to.

Enclosing class:
  InProcessPipelineRunner

    public static interface InProcessPipelineRunner.PCollectionViewWriter<ElemT,ViewT>

A `InProcessPipelineRunner.PCollectionViewWriter` is responsible for writing contents of a `PCollection` to a storage mechanism that can be read from while constructing a `PCollectionView`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<ElemT>> values)`

### Method Detail

#### add

    void add(Iterable<com.google.cloud.dataflow.sdk.util.WindowedValue<ElemT>> values)